libfwrules (2.8.0) unstable; urgency=medium

  * - Sync ICMP type code pairs with IANA

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Jul 2024 13:49:28 +0000

libfwrules (2.7.1) unstable; urgency=medium

  * Allow ICMP type 0 code 0 in fw_rule

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Jun 2024 15:11:32 +0000

libfwrules (2.7.0) unstable; urgency=medium

  * - [tr181-firewall] portmapping hairpin NAT rule can be missconfigured

 -- SAH bot <sahbot@softathome.com>  Mon, 10 Jun 2024 10:11:50 +0000

libfwrules (2.6.2) unstable; urgency=medium

  * add support for iptc extension string and time

 -- SAH bot <sahbot@softathome.com>  Tue, 28 May 2024 08:01:33 +0000

libfwrules (2.6.1) unstable; urgency=medium

  * It must be possible to configure fw rules based on VendorClassID

 -- SAH bot <sahbot@softathome.com>  Wed, 22 May 2024 07:33:54 +0000

libfwrules (2.6.0) unstable; urgency=medium

  * Add getters/setters for ICMP code and type/code matching function

 -- SAH bot <sahbot@softathome.com>  Thu, 16 May 2024 13:09:43 +0000

libfwrules (2.5.0) unstable; urgency=medium

  * Cleaning rules of folder messes up the rule order

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Apr 2024 13:33:54 +0000

libfwrules (2.4.1) unstable; urgency=medium

  * Improve fw_rule_dump to show chain and table.

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Apr 2024 06:03:41 +0000

libfwrules (2.4.0) unstable; urgency=medium

  * Revert "It must be possible to delete specific rules from a folder"
  * fw_commit can delete rule at incorrect index
  * fw_folder_set_order can cause folder to be deleted from list of folders
  * Revert "Add missing functionality to set output interface"

 -- SAH bot <sahbot@softathome.com>  Wed, 03 Apr 2024 14:16:16 +0000

libfwrules (2.3.1) unstable; urgency=medium

  * - Fix fw_rule_get_target_log_options

 -- SAH bot <sahbot@softathome.com>  Thu, 21 Mar 2024 17:30:49 +0000

libfwrules (2.3.0) unstable; urgency=medium

  * add support for iptc extension string and time

 -- SAH bot <sahbot@softathome.com>  Wed, 20 Mar 2024 17:06:28 +0000

libfwrules (2.2.1) unstable; urgency=medium

  * Add missing functionality to set output interface

 -- SAH bot <sahbot@softathome.com>  Wed, 13 Mar 2024 12:22:40 +0000

libfwrules (2.2.0) unstable; urgency=medium

  * It must be possible to delete specific rules from a folder

 -- SAH bot <sahbot@softathome.com>  Thu, 29 Feb 2024 12:21:01 +0000

libfwrules (2.1.5) unstable; urgency=medium

  * [PacketInterception] Add Flowmonitor support

 -- SAH bot <sahbot@softathome.com>  Wed, 28 Feb 2024 08:57:32 +0000

libfwrules (2.1.4) unstable; urgency=medium

  * - [Firewall][libfwrules] - Second optimization of fw_commit() function

 -- SAH bot <sahbot@softathome.com>  Mon, 19 Feb 2024 07:48:45 +0000

libfwrules (2.1.3) unstable; urgency=medium

  * [PacketInterception] Add NFLOG support

 -- SAH bot <sahbot@softathome.com>  Thu, 15 Feb 2024 15:45:09 +0000

libfwrules (2.1.2) unstable; urgency=medium

  * [Firewall][libfwrules] Optimization of fw_commit() used in Firewall.Service implementation

 -- SAH bot <sahbot@softathome.com>  Wed, 31 Jan 2024 15:34:19 +0000

libfwrules (2.1.1) unstable; urgency=medium

  * [QOS]Support hardware based QoS

 -- SAH bot <sahbot@softathome.com>  Wed, 20 Dec 2023 15:18:41 +0000

libfwrules (2.1.0) unstable; urgency=medium

  *  [TR-181-Firewall] Add the possibility to LOG functionality in the firewall

 -- SAH bot <sahbot@softathome.com>  Thu, 16 Nov 2023 15:12:13 +0000

libfwrules (2.0.2) unstable; urgency=medium

  * LAN Users cannot take advantage from NAT when using the Box Wan IP to reach service

 -- SAH bot <sahbot@softathome.com>  Wed, 05 Apr 2023 11:08:51 +0000

libfwrules (2.0.1) unstable; urgency=medium

  * avoidable copies of strings, htables and lists

 -- SAH bot <sahbot@softathome.com>  Tue, 10 Jan 2023 10:03:08 +0000

libfwrules (2.0.0) unstable; urgency=medium

  * [Libfwrules] add mask to mark

 -- SAH bot <sahbot@softathome.com>  Tue, 25 Jan 2022 13:37:58 +0000

libfwrules (1.3.5) unstable; urgency=medium

  * Change documentation path

 -- SAH bot <sahbot@softathome.com>  Mon, 24 Jan 2022 14:47:41 +0000

libfwrules (1.3.4) unstable; urgency=medium

  * - [libfwrules] Document code
  * - [libfwrules] Document code

 -- SAH bot <sahbot@softathome.com>  Thu, 13 Jan 2022 11:06:01 +0000

libfwrules (1.3.3) unstable; urgency=medium

  * Document code

 -- SAH bot <sahbot@softathome.com>  Wed, 12 Jan 2022 16:08:45 +0000

libfwrules (1.3.2) unstable; urgency=medium

  * [folder] Cleanup unused rules when invoking fw_folder_delete

 -- SAH bot <sahbot@softathome.com>  Thu, 06 Jan 2022 21:59:30 +0000

libfwrules (1.3.1) unstable; urgency=medium

  * Use BSD-2-Clause-Patent license

 -- SAH bot <sahbot@softathome.com>  Mon, 03 Jan 2022 14:45:22 +0000

libfwrules (1.3.0) unstable; urgency=medium

  * - [lib_fwrules] Support for ordered rules

 -- SAH bot <sahbot@softathome.com>  Fri, 05 Nov 2021 13:13:44 +0000

libfwrules (1.2.0) unstable; urgency=medium

  * support target NFQUEUE

 -- SAH bot <sahbot@softathome.com>  Mon, 25 Oct 2021 07:43:55 +0000

libfwrules (1.1.2) unstable; urgency=medium

  * fw_folder_fetch_default_rule failure

 -- SAH bot <sahbot@softathome.com>  Fri, 15 Oct 2021 08:24:15 +0000

libfwrules (1.1.1) unstable; urgency=medium

  * Remove linker flag to libfwrules

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Sep 2021 10:06:25 +0000

libfwrules (1.1.0) unstable; urgency=medium

  * match rules by connection state

 -- SAH bot <support.opensource@softathome.com>  Wed, 22 Sep 2021 10:04:59 +0000

libfwrules (1.0.8) unstable; urgency=medium

  * cannot fetch new default rule after calling fw_folder_delete_rules

 -- SAH bot <support.opensource@softathome.com>  Tue, 14 Sep 2021 07:32:37 +0000

libfwrules (1.0.7) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwrules#7 delete fails because index is too big

 -- SAH bot <support.opensource@softathome.com>  Sun, 12 Sep 2021 06:59:45 +0000

libfwrules (1.0.6) unstable; urgency=medium

  * [libfwrules] Pipeline doesn't stop when memory leaks are detected

 -- SAH bot <support.opensource@softathome.com>  Tue, 17 Aug 2021 13:18:14 +0000

libfwrules (1.0.5) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwrules#6 deb: change library name in copyright file

 -- SAH bot <support.opensource@softathome.com>  Mon, 26 Jul 2021 14:27:25 +0000

libfwrules (1.0.4) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwrules#5 fw_commit: push only enabled rules to the callback function

 -- SAH bot <support.opensource@softathome.com>  Mon, 19 Jul 2021 12:12:53 +0000

libfwrules (1.0.3) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwrules#4 fw_rule_clone: the enabled member is not copied when a rule is cloned

 -- SAH bot <support.opensource@softathome.com>  Mon, 19 Jul 2021 11:51:29 +0000

libfwrules (1.0.2) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwrules#3 baf: missing prorietary parameter

 -- SAH bot <support.opensource@softathome.com>  Thu, 15 Jul 2021 07:08:05 +0000

libfwrules (1.0.1) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwrules#1 Fix baf.yml
  * Issue: soft.at.home/libraries/libfwrules#2 Fix changelog

 -- SAH bot <support.opensource@softathome.com>  Wed, 14 Jul 2021 17:50:47 +0000

libfwrules (1.0.0) unstable; urgency=medium

  * Merge 'dev_init' into 'main'

 -- SAH bot <support.opensource@softathome.com>  Thu, 08 Jul 2021 09:42:04 +0000

